Ceci est une ancienne révision du document !



Installation minimale

source : cyrille sur debutgland et le forum

Si vous en avez assez que les meta-paquets *-desktop vous installent plein de programmes inutiles et râlent lorsque vous essayez de les supprimer, suivez le guide !

Une fois votre CD prêt et inséré dans le lecteur redémarrez la machine, jusqu'à vous retrouver devant cet écran :

Lancez l'installation en ligne de commande et suivez les instructions . Puis redémarrez et identifiez-vous avec votre nom d'utilisateur et votre mot de passe. Vous devriez vous retrouver devant une austère et sombre console, mais cela n'est que passager, il est temps de passer à l'action !

Exécutez la commande :

sudo nano /etc/apt/sources.list

Commentez (avec un #) la ligne qui commence par deb cdrom:[Ubuntu… car les paquets nécessaires ne se trouvent pas tous sur le CD. Décommentez les dépôts Universe et Backport.

Attention : Activer les dépots backports peut causer des instabilités sur votre système. Si vous ne savez pas ce que vous faites, ne décommentez pas les lignes concernant ces dépots

Votre sources.list devrait ressembler à ça (pour Dapper, Feisty et Hardy remplacez sur chaque ligne le mot gutsy par dapper, feisty ou hardy, suivant votre distribution) :

# UBUNTU
deb http://fr.archive.ubuntu.com/ubuntu/ gutsy main restricted
deb-src http://fr.archive.ubuntu.com/ubuntu/ gutsy main restricted
deb http://fr.archive.ubuntu.com/ubuntu/ gutsy-updates main restricted
deb-src http://fr.archive.ubuntu.com/ubuntu/ gutsy-updates main restricted
deb http://security.ubuntu.com/ubuntu gutsy-security main restricted
deb-src http://security.ubuntu.com/ubuntu gutsy-security main restricted

# UNIVERSE
deb http://fr.archive.ubuntu.com/ubuntu/ gutsy universe
deb-src http://fr.archive.ubuntu.com/ubuntu/ gutsy universe
deb http://fr.archive.ubuntu.com/ubuntu/ gutsy-updates universe
deb-src http://fr.archive.ubuntu.com/ubuntu/ gutsy-updates universe
deb http://security.ubuntu.com/ubuntu gutsy-security universe
deb-src http://security.ubuntu.com/ubuntu gutsy-security universe

# BACKPORT
deb http://fr.archive.ubuntu.com/ubuntu/ gutsy-backports main restricted universe
deb-src http://fr.archive.ubuntu.com/ubuntu/ gutsy-backports main restricted universe

Puis tapez :

sudo apt-get update

Il vous faudra installer les paquets gdm (écran de connexion au démarrage), gnome-core (l'environnement Gnome réduit au minimum), xfonts-base (polices de base nécessaires), xserver-xorg (serveur d'affichage). En une ligne :

  sudo apt-get install gdm gnome-core xfonts-base xserver-xorg

Et voilà, il vous suffit de redémarrer et vous arriverez dans un environnement Gnome tout nu, à vous de ne rajouter que les applications qu'il vous faut.

( Pour les utilisateurs de claviers non-US, installer également le paquet xkeyboard-config )

Pour plus de détails: ubuntu_minimale

Il vous faudra installer les paquets kdm (écran de connexion au démarrage), kde-core (l'environnement KDE réduit au minimum), xfonts-base (polices de base nécessaires), xserver-xorg (serveur d'affichage). En une ligne :

  sudo apt-get install kdm kde-core xfonts-base xserver-xorg

Et voilà, il vous suffit de redémarrer et vous arriverez dans un environnement KDE tout nu, à vous de ne rajouter que les applications qu'il vous faut.

Pour plus de détails: kubuntu_minimale

Il vous faudra installer les paquets gdm (écran de connexion au démarrage), xfce4 (l'environnement XFCE réduit au minimum), xfonts-base (polices de base nécessaires), xserver-xorg (serveur d'affichage). En une ligne :

  sudo apt-get install gdm xfce4 xfonts-base xserver-xorg

Et voilà, il vous suffit de redémarrer et vous arriverez dans un environnement XFCE tout nu, à vous de ne rajouter que les applications qu'il vous faut.

Si au demarrage de la session vous avez ce message d'erreur :

  There was an error loading the theme Human
  Can't open file /usr/share/gdm/themes/Human/Human.xml

il vous faudra installer le paquet ubuntu-gdm-themes (pour Hardy), feisty-gdm-themes (pour Feisty et Gutsy), en fonction de votre version.

Il se peut aussi que vous ayez une erreur de session. Dans ce cas il faut désinstaller le paquet gnome-session qui démarre avant xfce et l'empêche de démarrer correctement.

LXDE est environnement de bureau très léger basé sur Openbox.

Il vous faudra installer les paquets gdm (écran de connexion au démarrage), lxde (l'environnement LXDE réduit au minimum), xfonts-base (polices de base nécessaires), xserver-xorg (serveur d'affichage). En une ligne :

  sudo apt-get install gdm lxde xfonts-base xserver-xorg

Et voilà, il vous suffit de redémarrer et vous arriverez dans un environnement LXDE tout nu, à vous de ne rajouter que les applications qu'il vous faut.

  • installation_minimale.1245241457.txt.gz
  • Dernière modification: Le 17/06/2009, 14:24
  • par 213.95.41.13